
package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Sitze implements Serializable {

  @XmlElement(required = true)
  private GruppeImGebietReferenz gruppeImGebietReferenz;

  @XmlElement(required = true)
  private Long anzahl;

  @XmlElement(required = true)
  private Long anzahlAnspruch;

  @XmlElement(required = false)
  private String customData;

  public GruppeImGebietReferenz getGruppeImGebietReferenz() {
    return gruppeImGebietReferenz;
  }

  public void setGruppeImGebietReferenz(GruppeImGebietReferenz gruppeImGebietReferenz) {
    this.gruppeImGebietReferenz = gruppeImGebietReferenz;
  }

  public Long getAnzahl() {
    return anzahl;
  }

  public void setAnzahl(Long anzahl) {
    this.anzahl = anzahl;
  }

  public Long getAnzahlAnspruch() {
    return anzahlAnspruch;
  }

  public void setAnzahlAnspruch(Long anzahlAnspruch) {
    this.anzahlAnspruch = anzahlAnspruch;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }
}
